<div class="text-center">
  <button class="share-link link text-center" data-open="socialShare">
    <%= t(".share") %>
    <%= icon "share", class: "icon--after" %>
  </button>
</div>
<div class="reveal" id="socialShare" data-reveal>
  <div class="reveal__header">
    <h3 class="reveal__title"><%= t(".share") %>:</h3>
    <button class="close-button" data-close aria-label="<%= t(".close_window") %>" type="button">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="button-group text-center">
  <%= social_share_button_tag(decidim_page_title,
        url: decidim_meta_url,
        image: decidim_meta_image_url,
        desc: h(decidim_meta_description),
        via: decidim_meta_twitter_handler) %>
    <a class="button secondary" data-open="urlShare">
      <%= icon "link-intact" %>
    </a>
  </div>
</div>
<div class="reveal" id="urlShare" data-reveal>
  <div class="reveal__header">
    <h3 class="reveal__title"><%= t(".share_link") %>:</h3>
    <button class="close-button" data-close aria-label="<%= t(".close_window") %>" type="button">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <input type="text" value="<%= "#{decidim_meta_url}" %>" readonly>
</div>

<%= javascript_include_tag "decidim/social_share" %>
<%= stylesheet_link_tag "decidim/extras/_social_share" %>
